import { ICustomMatcher } from './contracts';
declare global {
    namespace jasmine {
        interface Matchers<T> {
            wasCalled: (times: number) => boolean;
            wasCalledOnce: () => boolean;
            wasNotCalled: () => boolean;
            wasCalledAtLeastOnce: () => boolean;
        }
    }
    namespace jest {
        interface Matchers<R, T> {
            wasCalled: (times: number) => boolean;
            wasCalledOnce: () => boolean;
            wasNotCalled: () => boolean;
            wasCalledAtLeastOnce: () => boolean;
        }
    }
}
export declare const matchers: {
    wasCalled: typeof wasCalled;
    wasCalledOnce: typeof wasCalledOnce;
    wasNotCalled: typeof wasNotCalled;
    wasCalledAtLeastOnce: typeof wasCalledAtLeastOnce;
};
export declare function addMatchers(): void;
declare function wasCalled(): ICustomMatcher;
declare function wasCalledOnce(): ICustomMatcher;
declare function wasNotCalled(): ICustomMatcher;
declare function wasCalledAtLeastOnce(): ICustomMatcher;
export {};
