#!/usr/bin/env node
"use strict";
exports.__esModule = true;
var index_1 = require("./index");
var path_1 = require("path");
var _a = process.argv, args = _a.slice(2);
var parseValue = function (value) {
    if (value.match(/^(true|false)$/)) {
        return value === 'true';
    }
    if (value.match(/^[\d.]+$/)) {
        return Number(value);
    }
    return value;
};
var props = {};
args.forEach(function (key) {
    var _a = key.split('=').map(function (i) { return i.trim(); }), name = _a[0], value = _a[1];
    if (name.match(/\w+\.\w+/)) {
        var _b = name.split('.'), objectName = _b[0], objectProperty = _b[1];
        // @ts-ignore
        props[objectName] = props[objectName] || {};
        // @ts-ignore
        props[objectName][objectProperty] = parseValue(value);
    }
    else {
        // @ts-ignore
        props[name] = parseValue(value);
    }
});
if (!props.source) {
    console.log('there is no source path to components file');
    process.exit();
}
if (props.target && !props.target.endsWith('.ts')) {
    props.target += '.d.ts';
}
var options = {
    componentsJson: require((0, path_1.resolve)(props.source)),
    compilerOptions: props.compilerOptions || {},
    path: (0, path_1.resolve)(props.target || './storyblok-component-types.d.ts')
};
if (props.titlePrefix) {
    options.titlePrefix = props.titlePrefix;
}
if (props.titleSuffix) {
    options.titleSuffix = props.titleSuffix;
}
if (props.customTypeParser) {
    options.customTypeParser = require((0, path_1.resolve)(props.customTypeParser));
}
(0, index_1["default"])(options);
