"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
exports.__esModule = true;
exports.TYPES = exports.generate = void 0;
var json_schema_to_typescript_1 = require("json-schema-to-typescript");
var typeFuncs = {
    'asset': generateAssetTypeIfNotYetGenerated,
    'multiasset': generateMultiAssetTypeIfNotYetGenerated,
    'multilink': generateMultiLinkTypeIfNotYetGenerated,
    'table': generateTableTypeIfNotYetGenerated
};
var toGenerateWhitelist = Object.keys(typeFuncs);
function compileType(obj, name, compilerOptions) {
    return __awaiter(this, void 0, void 0, function () {
        var ts;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, (0, json_schema_to_typescript_1.compile)(obj, name, compilerOptions)];
                case 1:
                    ts = _a.sent();
                    toGenerateWhitelist.splice(toGenerateWhitelist.indexOf(name), 1);
                    return [2 /*return*/, ts];
            }
        });
    });
}
function generate(type, title, compilerOptions) {
    return __awaiter(this, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, typeFuncs[type](title, compilerOptions)];
                case 1: return [2 /*return*/, _a.sent()];
            }
        });
    });
}
exports.generate = generate;
exports.TYPES = Object.keys(typeFuncs);
function generateAssetTypeIfNotYetGenerated(title, compilerOptions) {
    return __awaiter(this, void 0, void 0, function () {
        var obj, e_1;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    if (!toGenerateWhitelist.includes("asset"))
                        return [2 /*return*/];
                    obj = {
                        '$id': '#/asset',
                        title: title,
                        type: 'object',
                        required: ['id', 'filename', 'name'],
                        properties: {
                            alt: {
                                type: 'string'
                            },
                            copyright: {
                                type: 'string'
                            },
                            id: {
                                type: 'number'
                            },
                            filename: {
                                type: 'string'
                            },
                            name: {
                                type: 'string'
                            },
                            title: {
                                type: 'string'
                            },
                            focus: {
                                type: 'string'
                            }
                        }
                    };
                    _a.label = 1;
                case 1:
                    _a.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, compileType(obj, "asset", compilerOptions)];
                case 2: return [2 /*return*/, _a.sent()];
                case 3:
                    e_1 = _a.sent();
                    console.log('ERROR', e_1);
                    return [3 /*break*/, 4];
                case 4: return [2 /*return*/];
            }
        });
    });
}
function generateMultiAssetTypeIfNotYetGenerated(title, compilerOptions) {
    return __awaiter(this, void 0, void 0, function () {
        var obj, e_2;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    if (!toGenerateWhitelist.includes("multiasset"))
                        return [2 /*return*/];
                    obj = {
                        '$id': '#/multiasset',
                        title: title,
                        type: 'array',
                        items: {
                            type: 'object',
                            required: ['id', 'filename', 'name'],
                            properties: {
                                alt: {
                                    type: 'string'
                                },
                                copyright: {
                                    type: 'string'
                                },
                                id: {
                                    type: 'number'
                                },
                                filename: {
                                    type: 'string'
                                },
                                name: {
                                    type: 'string'
                                },
                                title: {
                                    type: 'string'
                                }
                            }
                        }
                    };
                    _a.label = 1;
                case 1:
                    _a.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, compileType(obj, "multiasset", compilerOptions)];
                case 2: return [2 /*return*/, _a.sent()];
                case 3:
                    e_2 = _a.sent();
                    console.log('ERROR', e_2);
                    return [3 /*break*/, 4];
                case 4: return [2 /*return*/];
            }
        });
    });
}
function generateMultiLinkTypeIfNotYetGenerated(title, compilerOptions) {
    return __awaiter(this, void 0, void 0, function () {
        var obj, e_3;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    if (!toGenerateWhitelist.includes("multilink"))
                        return [2 /*return*/];
                    obj = {
                        $id: '#/multilink',
                        title: title,
                        'oneOf': [
                            {
                                type: 'object',
                                properties: {
                                    cached_url: {
                                        type: 'string'
                                    },
                                    linktype: {
                                        type: 'string'
                                    }
                                }
                            },
                            {
                                type: 'object',
                                properties: {
                                    id: {
                                        type: 'string'
                                    },
                                    cached_url: {
                                        type: 'string'
                                    },
                                    linktype: {
                                        type: 'string',
                                        "enum": ['story']
                                    }
                                }
                            },
                            {
                                type: 'object',
                                properties: {
                                    url: {
                                        type: 'string'
                                    },
                                    cached_url: {
                                        type: 'string'
                                    },
                                    linktype: {
                                        type: 'string',
                                        "enum": ['asset', 'url']
                                    }
                                }
                            },
                            {
                                type: 'object',
                                properties: {
                                    email: {
                                        type: 'string'
                                    },
                                    linktype: {
                                        type: 'string',
                                        "enum": ['email']
                                    }
                                }
                            }
                        ]
                    };
                    _a.label = 1;
                case 1:
                    _a.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, compileType(obj, "multilink", compilerOptions)];
                case 2: return [2 /*return*/, _a.sent()];
                case 3:
                    e_3 = _a.sent();
                    console.log('ERROR', e_3);
                    return [3 /*break*/, 4];
                case 4: return [2 /*return*/];
            }
        });
    });
}
function generateTableTypeIfNotYetGenerated(title, compilerOptions) {
    return __awaiter(this, void 0, void 0, function () {
        var obj, e_4;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    if (!toGenerateWhitelist.includes("table"))
                        return [2 /*return*/];
                    obj = {
                        $id: '#/' + 'table',
                        title: title,
                        type: 'object',
                        required: ['tbody', 'thead'],
                        properties: {
                            thead: {
                                type: 'array',
                                items: {
                                    type: 'object',
                                    required: ['_uid', 'component'],
                                    properties: {
                                        _uid: {
                                            type: 'string'
                                        },
                                        value: {
                                            type: 'string'
                                        },
                                        component: {
                                            type: 'number'
                                        }
                                    }
                                }
                            },
                            tbody: {
                                type: 'array',
                                items: {
                                    type: 'object',
                                    required: ['_uid', 'component', 'body'],
                                    properties: {
                                        _uid: {
                                            type: 'string'
                                        },
                                        body: {
                                            type: 'array',
                                            items: {
                                                type: 'object',
                                                properties: {
                                                    _uid: {
                                                        type: 'string'
                                                    },
                                                    value: {
                                                        type: 'string'
                                                    },
                                                    component: {
                                                        type: 'number'
                                                    }
                                                }
                                            }
                                        },
                                        component: {
                                            type: 'number'
                                        }
                                    }
                                }
                            }
                        }
                    };
                    _a.label = 1;
                case 1:
                    _a.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, compileType(obj, "table", compilerOptions)];
                case 2: return [2 /*return*/, _a.sent()];
                case 3:
                    e_4 = _a.sent();
                    console.log('ERROR', e_4);
                    return [3 /*break*/, 4];
                case 4: return [2 /*return*/];
            }
        });
    });
}
