"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
exports.__esModule = true;
var json_schema_to_typescript_1 = require("json-schema-to-typescript");
var fs_1 = require("fs");
var camelcase_1 = require("camelcase");
var defaultCustomMapper_1 = require("./defaultCustomMapper");
var genericTypes_1 = require("./genericTypes");
function storyblokToTypescript(_a) {
    var _b = _a.componentsJson, componentsJson = _b === void 0 ? { components: [] } : _b, _c = _a.compilerOptions, compilerOptions = _c === void 0 ? {} : _c, customTypeParser = _a.customTypeParser, _d = _a.path, path = _d === void 0 ? 'src/typings/generated/components-schema.ts' : _d, _e = _a.titleSuffix, titleSuffix = _e === void 0 ? '_storyblok' : _e, _f = _a.titlePrefix, titlePrefix = _f === void 0 ? '' : _f;
    compilerOptions = __assign({ unknownAny: false, bannerComment: '', unreachableDefinitions: true }, compilerOptions);
    var tsString = [];
    var getTitle = function (t) { return titlePrefix + t + titleSuffix; };
    var groupUuids = {};
    componentsJson.components.forEach(function (value) {
        if (value.component_group_uuid) {
            if (!groupUuids[value.component_group_uuid]) {
                groupUuids[value.component_group_uuid] = [];
            }
            groupUuids[value.component_group_uuid].push((0, camelcase_1["default"])(getTitle(value.name), {
                pascalCase: true
            }));
        }
    });
    function genTsSchema() {
        return __awaiter(this, void 0, void 0, function () {
            var _loop_1, _i, _a, values;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        _loop_1 = function (values) {
                            var obj, _c, requiredFields, ts, e_1;
                            return __generator(this, function (_d) {
                                switch (_d.label) {
                                    case 0:
                                        obj = {
                                            '$id': '#/' + values.name,
                                            title: getTitle(values.name),
                                            type: 'object'
                                        };
                                        _c = obj;
                                        return [4 /*yield*/, typeMapper(values.schema, obj.title)];
                                    case 1:
                                        _c.properties = _d.sent();
                                        obj.properties._uid = {
                                            type: 'string'
                                        };
                                        obj.properties.component = {
                                            type: 'string',
                                            "enum": [values.name]
                                        };
                                        if (values.name === 'global' || values.name === 'page') {
                                            obj.properties.uuid = {
                                                type: 'string'
                                            };
                                        }
                                        requiredFields = ['_uid', 'component'];
                                        Object.keys(values.schema).forEach(function (key) {
                                            if (values.schema[key].required) {
                                                requiredFields.push(key);
                                            }
                                        });
                                        if (requiredFields.length) {
                                            obj.required = requiredFields;
                                        }
                                        _d.label = 2;
                                    case 2:
                                        _d.trys.push([2, 4, , 5]);
                                        return [4 /*yield*/, (0, json_schema_to_typescript_1.compile)(obj, values.name, compilerOptions)];
                                    case 3:
                                        ts = _d.sent();
                                        tsString.push(ts);
                                        return [3 /*break*/, 5];
                                    case 4:
                                        e_1 = _d.sent();
                                        console.log('ERROR', e_1);
                                        return [3 /*break*/, 5];
                                    case 5: return [2 /*return*/];
                                }
                            });
                        };
                        _i = 0, _a = componentsJson.components;
                        _b.label = 1;
                    case 1:
                        if (!(_i < _a.length)) return [3 /*break*/, 4];
                        values = _a[_i];
                        return [5 /*yield**/, _loop_1(values)];
                    case 2:
                        _b.sent();
                        _b.label = 3;
                    case 3:
                        _i++;
                        return [3 /*break*/, 1];
                    case 4: return [2 /*return*/];
                }
            });
        });
    }
    function typeMapper(schema, title) {
        if (schema === void 0) { schema = {}; }
        return __awaiter(this, void 0, void 0, function () {
            var parseObj, _loop_2, _i, _a, key;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        parseObj = {};
                        _loop_2 = function (key) {
                            var obj, schemaElement, type, ts, schemaType, items, currentGroupElements_1;
                            return __generator(this, function (_c) {
                                switch (_c.label) {
                                    case 0:
                                        obj = {};
                                        schemaElement = schema[key];
                                        type = schemaElement.type;
                                        if (!genericTypes_1.TYPES.includes(type)) return [3 /*break*/, 2];
                                        return [4 /*yield*/, (0, genericTypes_1.generate)(type, getTitle(type), compilerOptions)];
                                    case 1:
                                        ts = _c.sent();
                                        if (ts) {
                                            tsString.push(ts);
                                        }
                                        return [3 /*break*/, 3];
                                    case 2:
                                        if (type === 'custom') {
                                            Object.assign(parseObj, (0, defaultCustomMapper_1["default"])(key, schemaElement));
                                            if (typeof customTypeParser === 'function') {
                                                Object.assign(parseObj, customTypeParser(key, schemaElement));
                                            }
                                            return [2 /*return*/, "continue"];
                                        }
                                        _c.label = 3;
                                    case 3:
                                        schemaType = parseType(type);
                                        if (!schemaType) {
                                            return [2 /*return*/, "continue"];
                                        }
                                        obj[key] = {
                                            type: schemaType
                                        };
                                        if (Array.isArray(schemaElement.options) && schemaElement.options.length) {
                                            items = schemaElement.options.map(function (item) { return item.value; });
                                            if (type === 'option' && schemaElement.exclude_empty_option !== true) {
                                                items.unshift('');
                                            }
                                            if (schemaType === 'string') {
                                                obj[key]["enum"] = items;
                                            }
                                            else {
                                                obj[key].items = {
                                                    "enum": items
                                                };
                                            }
                                        }
                                        if (genericTypes_1.TYPES.includes(type)) {
                                            obj[key].tsType = (0, camelcase_1["default"])(getTitle(type), {
                                                pascalCase: true
                                            });
                                        }
                                        else if (type === 'bloks') {
                                            if (schemaElement.restrict_components) {
                                                if (schemaElement.restrict_type === 'groups') {
                                                    if (Array.isArray(schemaElement.component_group_whitelist) && schemaElement.component_group_whitelist.length) {
                                                        currentGroupElements_1 = [];
                                                        schemaElement.component_group_whitelist.forEach(function (groupId) {
                                                            var currentGroup = groupUuids[groupId];
                                                            if (Array.isArray(currentGroup)) {
                                                                currentGroupElements_1 = __spreadArray(__spreadArray([], currentGroupElements_1, true), currentGroup, true);
                                                            }
                                                            else {
                                                                console.log('Group has no members: ', groupId);
                                                            }
                                                        });
                                                        if (currentGroupElements_1.length == 0) {
                                                            obj[key].tsType = "never[]";
                                                        }
                                                        else {
                                                            obj[key].tsType = "(".concat(currentGroupElements_1.join(' | '), ")[]");
                                                        }
                                                    }
                                                }
                                                else {
                                                    if (Array.isArray(schemaElement.component_whitelist) && schemaElement.component_whitelist.length) {
                                                        obj[key].tsType = "(".concat(schemaElement.component_whitelist.map(function (i) { return (0, camelcase_1["default"])(getTitle(i), {
                                                            pascalCase: true
                                                        }); }).join(' | '), ")[]");
                                                    }
                                                    else {
                                                        console.log('No whitelisted component found');
                                                    }
                                                }
                                            }
                                            else {
                                                console.log('Type: bloks array but not whitelisted (will result in all elements):', title);
                                            }
                                        }
                                        Object.assign(parseObj, obj);
                                        return [2 /*return*/];
                                }
                            });
                        };
                        _i = 0, _a = Object.keys(schema);
                        _b.label = 1;
                    case 1:
                        if (!(_i < _a.length)) return [3 /*break*/, 4];
                        key = _a[_i];
                        return [5 /*yield**/, _loop_2(key)];
                    case 2:
                        _b.sent();
                        _b.label = 3;
                    case 3:
                        _i++;
                        return [3 /*break*/, 1];
                    case 4: return [2 /*return*/, parseObj];
                }
            });
        });
    }
    function parseType(type) {
        if (genericTypes_1.TYPES.includes(type))
            return type;
        switch (type) {
            case 'text':
                return 'string';
            case 'bloks':
                return 'array';
            case 'option':
                return 'string';
            case 'options':
                return 'array';
            case 'number':
                return 'number';
            case 'image':
                return 'string';
            case 'boolean':
                return 'boolean';
            case 'textarea':
                return 'string';
            case 'markdown':
                return 'string';
            case 'richtext':
                return 'any';
            case 'datetime':
                return 'string';
            default:
                return null;
        }
    }
    genTsSchema()
        .then(function () {
        fs_1["default"].writeFileSync(path, tsString.join('\n'));
    });
}
exports["default"] = storyblokToTypescript;
